// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
var type = "";//用来保存picker组件选中的类别id
Page({
  /**
   * 页面的初始数据
   */
  data: {
    // 主体高度
    infoHeight: '',
    frameStyle: { useTop: true, name: '维护赛程编排', leftArrow: true, useBar: false },
    form: {
    },
    id: '',
    cateArray: [
      { id: '0', type: '待开始' }, { id: '1', type: '开始' }, { id: '2', type: '结束' }],
    cateIndex: 0,
  },
  //当用户点击确定时，执行的事件
  bindCatePickerChange: function (e) {
    var cid = this.data.cateArray[e.detail.value].id;
    type = cid
    //下面重新赋值必须有，页面显示的信息才会改为刚刚选中的值
    this.setData({
      cateIndex: e.detail.value,
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/me/index' })
  },
  //提交
  formSubmit: function (e) {
    const that = this;
    let id = that.data.id;
    let status = that.data.cateIndex
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/schedule/${id}`, //接口地址
      method: "post",
      data: { status: status },
      header: {},
      success: res => {
        if (res.data.errcode == 0) {
          wx.showToast({
            title: '修改成功',
            icon: 'success',
            duration: 2000//延迟两秒
          })
        } else {
          wx.showToast({
            title: '修改失败',
            icon: 'success',
            duration: 2000
          })
        }
      },
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ id: options.id })
    //选择器
    var cindex = this.data.cateIndex
    type = this.data.cateArray[cindex].id
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    let id = that.data.id;
    wx.getStorage({
      key: 'token',
      success: res => {
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/schedule/${id}`, //接口地址
          method: 'get',
          data: {},
          success(res) {
            let status = res.data.data.status
            that.setData({
              form: res.data.data,
              cateIndex: status,
            })
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },

 // 计算高度
 searchHeight: function () {
  let frameStyle = this.data.frameStyle;
  let client = app.globalData.client;
  let infoHeight = client.windowHeight;
  // 是否去掉状态栏
  if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
  // 是否减去底部菜单
  if (frameStyle.useBar) infoHeight = infoHeight - 50;
  if (infoHeight) this.setData({ infoHeight: infoHeight })
},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})